- Qt 6.8
- Qt Qml
- CMake Global Variables in Qt6 Qml
- QT_QML_GENERATE_AOTSTATS
- Qt 6.8.3 Reference Documentation

# QT_QML_GENERATE_AOTSTATS

This variable was introduced in Qt 6.8.3.

When a QML project is configured using qt_add_qml_modules, by default, statistics from the compilation of QML code will be collected. You can explicitly opt in or out of this by setting the `QT_QML_GENERATE_AOTSTATS` variable. It can be set project-wide by passing

     -DQT_QML_GENERATE_AOTSTATS=OFF

to the CMake executable, or by setting it directly in the corresponding CMakeLists.txt file before the first call to qt_add_qml_module.

     set(QT_QML_GENERATE_AOTSTATS OFF)